
# react-native-animation-counter

## Getting started

`$ npm install react-native-animation-counter --save`

### Mostly automatic installation

`$ react-native link react-native-animation-counter`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-animation-counter` and add `RNAnimationCounter.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNAnimationCounter.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNAnimationCounterPackage;` to the imports at the top of the file
  - Add `new RNAnimationCounterPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-animation-counter'
  	project(':react-native-animation-counter').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-animation-counter/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-animation-counter')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNAnimationCounter.sln` in `node_modules/react-native-animation-counter/windows/RNAnimationCounter.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Animation.Counter.RNAnimationCounter;` to the usings at the top of the file
  - Add `new RNAnimationCounterPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNAnimationCounter from 'react-native-animation-counter';

// TODO: What to do with the module?
RNAnimationCounter;
```
  